aboutsummaryrefslogtreecommitdiff
path: root/libstdc++-v3/configure
diff options
context:
space:
mode:
authorBenjamin Kosnik <bkoz@redhat.com>2004-10-12 01:10:39 +0000
committerBenjamin Kosnik <bkoz@gcc.gnu.org>2004-10-12 01:10:39 +0000
commit5a1e5472f5864b2a31d3ccee2c08fc26496dfeab (patch)
tree78c99a88a4a9f7e8634edb1c6c35d4a19485dba1 /libstdc++-v3/configure
parente7b5576858b1f5772430e94f8ded17d0fb7764d0 (diff)
downloadgcc-5a1e5472f5864b2a31d3ccee2c08fc26496dfeab.zip
gcc-5a1e5472f5864b2a31d3ccee2c08fc26496dfeab.tar.gz
gcc-5a1e5472f5864b2a31d3ccee2c08fc26496dfeab.tar.bz2
re PR libstdc++/17937 (Critical ~__pool troubles)
2004-10-11 Benjamin Kosnik <bkoz@redhat.com> * include/bits/stl_deque.h: Correct for over-long lines. 2004-10-11 Benjamin Kosnik <bkoz@redhat.com> PR libstdc++/17937 * include/ext/mt_allocator.h (__pool::_M_destroy): New. * src/mt_allocator.cc (__pool::~__pool): Change definitions to _M_destroy. * acconfig.h: Remove _GLIBCXX_USE___CXA_ATEXIT. * acinclude.m4 (GLIBCXX_ENABLE_CXA_ATEXIT): Remove. * configure.ac: Remove call to GLIBCXX_ENABLE_CXA_EXIT. * configure: Regenerate. * config/linker-map.gnu: Tweak exports. * docs/html/ext/mt_allocator.html: Update docs. * testsuite/ext/mt_allocator/deallocate_global-2.cc: Fix. * testsuite/ext/mt_allocator/deallocate_global-4.cc: Fix. * testsuite/ext/mt_allocator/deallocate_global_thread-1.cc: Fix. * testsuite/ext/mt_allocator/deallocate_global_thread-3.cc: Fix. * testsuite/ext/mt_allocator/deallocate_local-2.cc: Fix. * testsuite/ext/mt_allocator/deallocate_local-4.cc: Fix. * testsuite/ext/mt_allocator/deallocate_local_thread-3.cc: Fix. * testsuite/ext/mt_allocator/deallocate_local_thread-1.cc: Fix. From-SVN: r88913
Diffstat (limited to 'libstdc++-v3/configure')
-rwxr-xr-xlibstdc++-v3/configure29
1 files changed, 2 insertions, 27 deletions
diff --git a/libstdc++-v3/configure b/libstdc++-v3/configure
index caf27b1..b34c7df 100755
--- a/libstdc++-v3/configure
+++ b/libstdc++-v3/configure
@@ -856,8 +856,6 @@ Optional Features:
--enable-sjlj-exceptions
force use of builtin_setjmp for exceptions
[default=auto]
- --enable-__cxa_atexit Define if __cxa_atexit is to be used instead of
- atexit. [default=no]
--enable-libstdcxx-pch build pre-compiled libstdc++ headers
[default=$is_hosted]
--enable-cstdio=PACKAGE use target-specific I/O package
@@ -4399,7 +4397,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
case $host in
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4402 "configure"' > conftest.$ac_ext
+ echo '#line 4400 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -5020,7 +5018,7 @@ fi;
#
# Fake what AC_TRY_COMPILE does. XXX Look at redoing this new-style.
cat > conftest.$ac_ext << EOF
-#line 5023 "configure"
+#line 5021 "configure"
struct S { ~S(); };
void bar();
void foo()
@@ -5076,29 +5074,6 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
echo "${ECHO_T}$ac_exception_model_name" >&6
- # Check whether --enable-__cxa_atexit or --disable-__cxa_atexit was given.
-if test "${enable___cxa_atexit+set}" = set; then
- enableval="$enable___cxa_atexit"
-
- case "$enableval" in
- yes|no) ;;
- *) { { echo "$as_me:$LINENO: error: Argument to enable/disable __cxa_atexit must be yes or no" >&5
-echo "$as_me: error: Argument to enable/disable __cxa_atexit must be yes or no" >&2;}
- { (exit 1); exit 1; }; } ;;
- esac
-
-else
- enable___cxa_atexit=no
-fi;
-
- if test $enable___cxa_atexit = yes; then
- cat >>confdefs.h <<\_ACEOF
-#define _GLIBCXX_USE___CXA_ATEXIT 1
-_ACEOF
-
- fi
-
-
echo "$as_me:$LINENO: checking for enabled PCH" >&5
echo $ECHO_N "checking for enabled PCH... $ECHO_C" >&6
# Check whether --enable-libstdcxx-pch or --disable-libstdcxx-pch was given.